Bug 1248942 - Incorrect values in /etc/os-release caused by using the incorrect redhat-release subpackage
Incorrect values in /etc/os-release caused by using the incorrect redhat-rele...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: rhev-hypervisor (Show other bugs)
3.5.4
Unspecified Unspecified
high Severity medium
: ---
: 3.5.4
Assigned To: Fabian Deutsch
Virtualization Bugs
node
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-31 03:53 EDT by Ying Cui
Modified: 2016-02-10 15:09 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-03 13:09:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Node
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1713 normal SHIPPED_LIVE Important: rhev-hypervisor security, bug fix, and enhancement update 2015-09-03 17:08:30 EDT

  None (edit)
Description Ying Cui 2015-07-31 03:53:13 EDT
Description
In /etc/os-release, some values are incorrect, NAME, CPE NAME and REDHAT_SUPPORT_PRODUCT, although node parts did not use them visible, but it is in hypervisor product, we need to avoid incorrect values here, especially hostnamectl will return incorrect CPE name.

Version
ovirt-node-recipe-3.2.3-14.el7.noarch.rpm
ovirt-node-3.2.3-14.el7.noarch
rhev-hypervisor7-7.1-20150728.1

# cat /etc/system-release-cpe 
cpe:/o:redhat:enterprise_linux:7:update1:hypervisor

# hostnamectl 
   Static hostname: n/a
Transient hostname: localhost
         Icon name: computer-desktop
           Chassis: desktop
        Machine ID: 8d74f21f449f4457b46a1c83625858af
           Boot ID: ad6c444cf2064807b3c7a2cd8c47087e
  Operating System: Red Hat Enterprise Virtualization Hypervisor 7.1
       CPE OS Name: cpe:/o:redhat:enterprise_linux:7.1:GA:client
            Kernel: Linux 3.10.0-229.7.2.el7.x86_64
      Architecture: x86_64

# cat /etc/os-release 
NAME="Red Hat Enterprise Linux Client"
VERSION="7.1 (Maipo)"
ID="rhel"
ID_LIKE="fedora"
VERSION_ID="7.1"
PRETTY_NAME="Red Hat Enterprise Virtualization Hypervisor 7.1"
ANSI_COLOR="0;31"
CPE_NAME="cpe:/o:redhat:enterprise_linux:7.1:GA:client"
HOME_URL="https://www.redhat.com/"
BUG_REPORT_URL="https://bugzilla.redhat.com/"

REDHAT_BUGZILLA_PRODUCT="Red Hat Enterprise Virtualization Hypervisor 7.1"
REDHAT_BUGZILLA_PRODUCT_VERSION=7.1
REDHAT_SUPPORT_PRODUCT="Red Hat Enterprise Linux"
REDHAT_SUPPORT_PRODUCT_VERSION="7.1"


Expected result:
Use RHEVH itself values instead of RHEL values.
Comment 2 Ying Cui 2015-08-05 05:21:49 EDT
Tested on build rhev-hypervisor-7-7.1-20150804.0.
After ticket in comment 1 is resolved, now the NAME already set as "Red Hat Enterprise Linux Server" not Client.
But the CPE_NAME still display the RHEL info, NOT RHEV-H CPE, hostnamectl will return incorrect CPE name.
And REDHAT_SUPPORT_PRODUCT value whether should be "Red Hat Enterprise Virtualization Hypervisor"?


# cat /etc/rhev-hypervisor-release 
Red Hat Enterprise Virtualization Hypervisor release 7.1 (20150804.0.el7ev)


# cat /etc/system-release-cpe 
cpe:/o:redhat:enterprise_linux:7:update1:hypervisor

# hostnamectl 
   Static hostname: n/a
Transient hostname: localhost
         Icon name: computer-desktop
           Chassis: desktop
        Machine ID: 58cca1ceed28468fb4034bf84f7ed14d
           Boot ID: e59d79a5bb824dbc9c85d0963fa35c72
  Operating System: Red Hat Enterprise Virtualization Hypervisor 7.1
       CPE OS Name: cpe:/o:redhat:enterprise_linux:7.1:GA:server
            Kernel: Linux 3.10.0-229.11.1.el7.x86_64
      Architecture: x86_64

# cat /etc/os-release 
NAME="Red Hat Enterprise Linux Server"
VERSION="7.1 (Maipo)"
ID="rhel"
ID_LIKE="fedora"
VERSION_ID="7.1"
PRETTY_NAME="Red Hat Enterprise Virtualization Hypervisor 7.1"
ANSI_COLOR="0;31"
CPE_NAME="cpe:/o:redhat:enterprise_linux:7.1:GA:server"
HOME_URL="https://www.redhat.com/"
BUG_REPORT_URL="https://bugzilla.redhat.com/"

REDHAT_BUGZILLA_PRODUCT="Red Hat Enterprise Virtualization Hypervisor 7.1"
REDHAT_BUGZILLA_PRODUCT_VERSION=7.1
REDHAT_SUPPORT_PRODUCT="Red Hat Enterprise Linux"
REDHAT_SUPPORT_PRODUCT_VERSION="7.1"
Comment 3 Fabian Deutsch 2015-08-05 06:01:00 EDT
The CPE fix requires another patch, because the CPE string is now stored twice.

Please verify this bug (as the right package is now used), and file a separate bug for the incorrect CPE string in /etc/os-release.
Comment 5 Ying Cui 2015-08-10 03:39:36 EDT
(In reply to Fabian Deutsch from comment #3)
> The CPE fix requires another patch, because the CPE string is now stored
> twice.
> 
> Please verify this bug (as the right package is now used), and file a
> separate bug for the incorrect CPE string in /etc/os-release.

Separated new bug to cover incorrect CPE name issue:
https://bugzilla.redhat.com/show_bug.cgi?id=1251864
Comment 6 Ying Cui 2015-08-10 03:56:28 EDT
Fabian, before this bug verification, there are some unclear still need to clarify. Thanks.

NAME, VERSION, ID, ID_LIKE, REDHAT_BUGZILLA_PRODUCT, REDHAT_SUPPORT_PRODUCT in /etc/os-release

Are all correct? Do we need to care these values in RHEV-H?

# cat /etc/os-release 
NAME="Red Hat Enterprise Linux Server"
VERSION="7.1 (Maipo)"
ID="rhel"
ID_LIKE="fedora"
VERSION_ID="7.1"
PRETTY_NAME="Red Hat Enterprise Virtualization Hypervisor 7.1"
ANSI_COLOR="0;31"
CPE_NAME="cpe:/o:redhat:enterprise_linux:7.1:GA:server"
HOME_URL="https://www.redhat.com/"
BUG_REPORT_URL="https://bugzilla.redhat.com/"

REDHAT_BUGZILLA_PRODUCT="Red Hat Enterprise Virtualization Hypervisor 7.1"
REDHAT_BUGZILLA_PRODUCT_VERSION=7.1
REDHAT_SUPPORT_PRODUCT="Red Hat Enterprise Linux"
REDHAT_SUPPORT_PRODUCT_VERSION="7.1"
Comment 7 Fabian Deutsch 2015-08-10 07:03:06 EDT
Yes, the relevant lines in os-reelase are updated:

REDHAT_BUGZILLA_PRODUCT="Red Hat Enterprise Virtualization Hypervisor 7.1"
PRETTY_NAME="Red Hat Enterprise Virtualization Hypervisor 7.1"
Comment 8 Fabian Deutsch 2015-08-10 07:13:17 EDT
To clarify: It's obvious that some entries in os-release are wrong (see comment 6), but we never updated those entries in the past, as they were irrelevant to RHEV-H.
I opened bug 1251936 to make sure that - in future - we update all fields (to have a consistent behavior) and to make sure the fields contain the correct informations.
Comment 9 Ying Cui 2015-08-13 01:51:17 EDT
For this bug, we only verify ticket 364388 in comment 1 fix, see comment 2.

For further issues fix, we will trace by bug 1251936 and bug 1251864. Thanks.
Comment 11 errata-xmlrpc 2015-09-03 13:09:42 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-1713.html

Note You need to log in before you can comment on or make changes to this bug.